#!/usr/bin/env python
import coral ; UML14=coral.lang.UML14 
m = coral.loadModel("labelrefs.xmi")
assert(m)
owned = m.ownedElement
assert(owned.size() == 2)
c, o = owned[0], owned[1]
if not c.oclIsKindOf(UML14.Class):
    c, o = o, c

assert(o.classifier.size() == 1)
assert(o.classifier[0] == c)
assert(c.instance.size() == 1)
assert(c.instance[0] == o)


